Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCCameraFree.h

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020  * $Id: ExCCameraFree.h,v 1.2 2002/08/12 12:55:45 data Exp $
    00021  *
    00022  */
    00023
    00024 #ifndef __EXCCAMERAFREE_H__
    00025 #define __EXCCAMERAFREE_H__
    00026 //--------------------------------
    00027 // File to include
    00028 //--------------------------------
    00029 #include "ExDefine.h"
    00030 #include "ExMath.h"
    00031 #include "ExCCamera.h"
    00032 //--------------------------------
    00033 class ExCCameraFree : public  ExCCamera
    00034 {
    00035 protected:
    00036 //--------------------------------
    00037 // Variable
    00038 //--------------------------------
    00039 public:
    00040 //--------------------------------
    00041 // Constructor // Destructor
    00042 //--------------------------------
    00043         ExCCameraFree();
    00044         ~ExCCameraFree();
    00045 //--------------------------------
    00046 // Methode
    00047 //--------------------------------
    00048 //--------------------------------
    00049 // Operator
    00050 //--------------------------------
    00051 //--------------------------------
    00052 // friends
    00053 //--------------------------------
    00054 };
    00055 #endif //__EXCCAMERAFREE_H__